"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTrackEvent = exports.createScreenEvent = exports.createIdentifyEvent = exports.createGroupEvent = exports.createAliasEvent = void 0;

var _types = require("./types");

const createTrackEvent = _ref => {
  let {
    event,
    properties = {}
  } = _ref;
  return {
    type: _types.EventType.TrackEvent,
    event,
    properties
  };
};

exports.createTrackEvent = createTrackEvent;

const createScreenEvent = _ref2 => {
  let {
    name,
    properties = {}
  } = _ref2;
  return {
    type: _types.EventType.ScreenEvent,
    name,
    properties
  };
};

exports.createScreenEvent = createScreenEvent;

const createIdentifyEvent = _ref3 => {
  let {
    userId,
    userTraits = {}
  } = _ref3;
  return {
    type: _types.EventType.IdentifyEvent,
    userId: userId,
    traits: userTraits
  };
};

exports.createIdentifyEvent = createIdentifyEvent;

const createGroupEvent = _ref4 => {
  let {
    groupId,
    groupTraits = {}
  } = _ref4;
  return {
    type: _types.EventType.GroupEvent,
    groupId,
    traits: groupTraits
  };
};

exports.createGroupEvent = createGroupEvent;

const createAliasEvent = _ref5 => {
  let {
    anonymousId,
    userId,
    newUserId
  } = _ref5;
  return {
    type: _types.EventType.AliasEvent,
    userId: newUserId,
    previousId: userId ?? anonymousId
  };
};

exports.createAliasEvent = createAliasEvent;
//# sourceMappingURL=events.js.map