"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BackgroundFlushPolicy = void 0;

var _reactNative = require("react-native");

var _types = require("./types");

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * StatupFlushPolicy triggers a flush right away on client startup
 */
class BackgroundFlushPolicy extends _types.FlushPolicyBase {
  constructor() {
    super(...arguments);

    _defineProperty(this, "appStateSubscription", void 0);

    _defineProperty(this, "appState", _reactNative.AppState.currentState);
  }

  start() {
    this.appStateSubscription = _reactNative.AppState.addEventListener('change', nextAppState => {
      if (this.appState === 'active' && ['inactive', 'background'].includes(nextAppState)) {
        // When the app goes into the background we will trigger a flush
        this.shouldFlush.value = true;
      }
    });
  }

  onEvent(_event) {// Nothing to do
  }

  end() {
    var _this$appStateSubscri;

    (_this$appStateSubscri = this.appStateSubscription) === null || _this$appStateSubscri === void 0 ? void 0 : _this$appStateSubscri.remove();
  }

}

exports.BackgroundFlushPolicy = BackgroundFlushPolicy;
//# sourceMappingURL=background-flush-policy.js.map