function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { FlushPolicyBase } from './types';
/**
 * CountFlushPolicy uploads events when the count of events reaches a set limit
 */

export class CountFlushPolicy extends FlushPolicyBase {
  constructor(limit) {
    super();

    _defineProperty(this, "count", 0);

    _defineProperty(this, "flushAt", void 0);

    this.flushAt = limit;
  }

  start() {
    this.count = 0;
  }

  onEvent(_event) {
    this.count += 1;

    if (this.count >= this.flushAt) {
      this.shouldFlush.value = true;
    }
  }

  reset() {
    super.reset();
    this.count = 0;
  }

}
//# sourceMappingURL=count-flush-policy.js.map